Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3380 closed task (fixed)

Move rtems-bin2c program to rtems-tools

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: tool Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The rtems-bin2c program (tools/build/rtems-bin2c.c) is exported to the standard RTEMS build infrastructure via the BIN2C variable. Move it to rtems-tools.

Change History (5)

comment:1 Changed on 04/26/18 at 02:40:24 by Chris Johns

OK to move.

comment:2 Changed on 06/15/18 at 05:04:57 by Sebastian Huber <sebastian.huber@…>

In [changeset:"1cd75c4952ee0b546e5c6cf2bf783f9b8281339f/rtems-tools" 1cd75c4/rtems-tools]:

bin2c: Import from RTEMS

Corresponding RTEMS commit is 75933d5d25cd50f80162b7a0d2f66a5534e1763f.

Update #3380.

comment:3 Changed on 06/15/18 at 05:05:04 by Sebastian Huber <sebastian.huber@…>

In [changeset:"1a89c3d78900e8c4d60afcf9978aa2f283121320/rtems-tools" 1a89c3d/rtems-tools]:

bin2c: Fix warnings

Update #3380.

comment:4 Changed on 06/15/18 at 05:12:37 by Sebastian Huber <sebastian.huber@…>

In [changeset:"528ee187eaa7f9d59a92c98618db10acd09adb10/rtems-source-builder" 528ee18/rtems-source-builder]:

5: Update tools to ship rtems-bin2c

Update #3380.

comment:5 Changed on 06/15/18 at 05:16:00 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"ea092ccc798b820ebe5505a0b1f1cc65fbb80bac/rtems" ea092ccc/rtems]:

tools: Remove rtems-bin2c

This tool is now included in the RTEMS tools repository.

Close #3380.

Note: See TracTickets for help on using tickets.